﻿using ArcGIS.Core.CIM;
using ArcGIS.Core.Data;
using ArcGIS.Core.Geometry;
using ArcGIS.Desktop.Catalog;
using ArcGIS.Desktop.Core;
using ArcGIS.Desktop.Editing;
using ArcGIS.Desktop.Extensions;
using ArcGIS.Desktop.Framework;
using ArcGIS.Desktop.Framework.Contracts;
using ArcGIS.Desktop.Framework.Dialogs;
using ArcGIS.Desktop.Framework.Threading.Tasks;
using ArcGIS.Desktop.Layouts;
using ArcGIS.Desktop.Mapping;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ViewParcelDetail
{
    internal class ShowParcelDetailWindow : Button
    {

        private ParcelDetailWindow _parceldetailwindow = null;

        protected override void OnClick()
        {
            //already open?
            if (_parceldetailwindow != null)
                return;
            _parceldetailwindow = new ParcelDetailWindow();
            _parceldetailwindow.Owner = FrameworkApplication.Current.MainWindow;
            _parceldetailwindow.Closed += (o, e) => { _parceldetailwindow = null; };
            _parceldetailwindow.Show();
            //uncomment for modal
            //_parceldetailwindow.ShowDialog();
        }

    }
}
